org.tmatesoft.svn.core.wc

## Interface ISVNPropertyHandler

-     public interface ISVNPropertyHandler

  The ISVNPropertyHandler interface should be implemented to be further provided to SVNWCClient's property managing methods for handling properties. Those methods that receive a developer's property handler as a parameter call one of the handler's handleProperty() methods on every successful setting or getting a property.

  If the aim is to get a property (the following behaviour is the same for versioned and unversioned):

  - the property obtained is wrapped into an SVNPropertyData object and passed to an appropriate handleProperty() method where it's up to a developer how to process it.
  If the aim is to set a property (the following behaviour is the same for versioned and unversioned):
  - the property successfully set is also wrapped into an SVNPropertyData object and passed to an appropriate handleProperty() method to notify a developer.
  Since:
    1.2
  Version:
    1.3
  Author:
    TMate Software Ltd.
  See Also:
    `SVNPropertyData`, `SVNWCClient`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ISVNPropertyHandler` | `NULL` This is just a default implementation which does nothing.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleProperty(java.io.File path, SVNPropertyData property)` Handles local item's properties (located in a Working Copy).
    `void` | `handleProperty(long revision, SVNPropertyData property)` Handles a revision property.
    `void` | `handleProperty(SVNURL url, SVNPropertyData property)` Handles remote item's properies (located in a repository).

- - ### Field Detail

    - #### NULL

          static final ISVNPropertyHandler NULL

      This is just a default implementation which does nothing. Provided to property managing methods of `SVNWCClient` when there's no need to take any processing on properties. For example, when only needing to set a property without any additional handling that property - use this default handler.

  - ### Method Detail

    - #### handleProperty

          void handleProperty(java.io.File path,
                            SVNPropertyData property)
                              throws SVNException

      Handles local item's properties (located in a Working Copy). Not called for revision properties.
      Parameters:
        `path` - an item's path
        `property` - an item's versioned property
      Throws:
        `SVNException`

    - #### handleProperty

          void handleProperty(SVNURL url,
                            SVNPropertyData property)
                              throws SVNException

      Handles remote item's properies (located in a repository). Not called for revision properties.
      Parameters:
        `url` - an item's repository location
        `property` - an item's versioned property
      Throws:
        `SVNException`

    - #### handleProperty

          void handleProperty(long revision,
                            SVNPropertyData property)
                              throws SVNException

      Handles a revision property. SVNWCClient's methods operating on revision properties call this method to handle properties.
      Parameters:
        `revision` - a repository revision which `property` is to be handled
        `property` - a revision (unversioned) property
      Throws:
        `SVNException`
      See Also:
        `SVNWCClient`

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.